Subject: bug#14691: 24.3; auto-save-list

From: Glenn Morris <[email-masked]>
Date: Wed, 26 Jun 2013 03:27:24 -0400

João Guerra wrote:

> Emacs is not deleting the auto-save-list file when closing. This happens
> only if I set the auto-save-list file name with the
> auto-save-list-file-name variable instead of with the
> auto-save-list-file-prefix.

I can't reproduce on GNU/Linux this with:

emacs-24.3 -Q --eval '(setq auto-save-list-file-name "/home/gm/FOO")' ~/bar &

If I make some changes to ~/bar and wait for it to be auto-saved, ~/FOO
is created. If I save bar and exit Emacs with C-x C-c, ~/FOO is removed.

Do you have a recipe starting from emacs -Q?

> In GNU Emacs 24.3.1 (i386-mingw-nt6.1.7601) of 2013-03-17 on MARVIN
> Windowing system distributor `Microsoft Corp.', version 6.1.7601